Page MenuHomeVyOS Platform

Router resolves as 127.0.1.1 when using Router's Recursive DNS
In progress, NormalPublicBUG

Description

Hi,

When using the router's local instance of pdns as the DNS resolver for clients, the hostname configured for the router is resolved as 127.0.1.1
This makes it impossible to SSH or SNMP monitor the router using its DNS name.

set system host-name 'ferrari'
set system domain-name '<mydomain>.com'
tim@ferrari# show interfaces ethernet eth1 | commands
set address '192.168.0.1/24'

[edit service dns forwarding]
tim@ferrari# show | commands
set allow-from '192.168.0.0/24'
set allow-from '10.1.1.0/24'
set cache-size '8192'
set listen-address '192.168.0.1'
set name-server 'x.x.x.39'
set name-server 'x.x.x.40'


set host-name ferrari.<mydomain>.com inet '192.168.0.1'

DNS lookup from a Unix client

{16:38}~ ➭ dig @192.168.0.1 ferrari.<mydomain>.com

; <<>> DiG 9.11.5-P4-5.1-Debian <<>> @192.168.0.1 ferrari.<mydomain>.com
; (1 server found)
;; global options: +cmd
;; Got answer:
;; ->>HEADER<<- opcode: QUERY, status: NOERROR, id: 692
;; flags: qr rd ra; QUERY: 1, ANSWER: 1, AUTHORITY: 0, ADDITIONAL: 1

;; OPT PSEUDOSECTION:
; EDNS: version: 0, flags:; udp: 512
;; QUESTION SECTION:
;ferrari.<mydomain>.com.           IN      A

;; ANSWER SECTION:
ferrari.<mydomain>.com.    86400   IN      A       127.0.1.1

;; Query time: 0 msec
;; SERVER: 192.168.0.1#53(192.168.0.1)
;; WHEN: Mon Apr 13 16:38:43 NZST 2020
;; MSG SIZE  rcvd: 64

It would be better if the DNS name of the router as configured in static-host-mapping could be returned.

Details

Difficulty level
Unknown (require assessment)
Version
1.3-rolling-202004110117
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Related Objects

Event Timeline

tjh created this task.Apr 13 2020, 4:43 AM
tjh updated the task description. (Show Details)Apr 13 2020, 6:51 AM
Codec added a subscriber: Codec.Apr 26 2020, 4:16 PM
pasik added a subscriber: pasik.May 16 2020, 8:12 AM
jjakob changed the task status from Open to In progress.Jun 8 2020, 7:29 PM
jjakob claimed this task.
jjakob triaged this task as Normal priority.